# Example scripts for the Script v2 sensor

The Python scripts in this folder show examples of how to work with the new Script v2 sensor.

## Note about installing Python packages

You may need to install Python packages that are used in the example scripts on the probe system.

See the table below for hints.

### Windows

On Windows systems, we recommend that you use `py.exe`.

```cmd
py.exe -m pip install ping3 fabric
```

### Linux

On Linux systems, we recommend that you use `python3` or the package manager of your distribution.

```bash
python3 -m pip install ping3 fabric
```

## Included example scripts

The scripts showcase different usage scenarios:

| Script name                     | Description                                                                                      | Third-party packages |
| ------------------------------- | ------------------------------------------------------------------------------------------------ | -------------------- |
| hybrid_parameters_ping.py       | A hybrid script that can be used interactively via command line and as sensor script.            | ping3                |
| dice_roll.py                    | A simple example that shows you how to take a parameter from PRTG and output the result to PRTG. |                      |
| dropbox_space_free.py           | A script that uses a third-party package to monitor the free space on a Dropbox file share.      | dropbox              |
| remote_ssh_linux_system_load.py | A script that shows you how to monitor a remote system via SSH.                                  | fabric               |
| remote_ssh_linux_network.py     | A script that shows you how to use value kinds and lookups.                                      | fabric               |

### Verify that the script output is correct

You can verify the sensor results against our JSON schema that you can find here: https://kb.paessler.com/en/topic/91280
